HB V6.75 COBOL Load Module Issues

We have uncovered (with the assistance of our customers) a potential issue when running HostBridge version 6.75.

IBM introduced a new version of COBOL (Enterprise COBOL version 5.1 and, later, 5.2) with z/OS 1.13.  Programs compiled using this version of the COBOL compiler will not execute on:

  • Any z/OS prior to z/OS 1.13
  • Any IBM hardware that is not at least z9 level
  • Some z/OS 1.13 systems, depending on what PTFs and other software versions are installed

Some of the symptoms are U4093 abends running batch programs and unusual abends when using the new dynamic promotion facility. 

This issue is resolved by replacement of the V6.75 COBOL load modules by ones that were compiled with the COBOL compiler version 4.2.   To effect this change, you should:

  • Upload the following transmit file to your mainframe using BINARY transfer to a file defined as RECFM=FB, LRECL=80, and any valid block size: HBV675_COBOLV42.XMT
  • Using TSO RECEIVE, create a library containing the recompiled modules.  There should be 28 modules plus one ALIAS. 
  • In any CICS startup that references version 6.75 of HostBridge, include the newly created library in the DFHRPL or library concatenation immediately before the HostBridge 6.75 library.
  • In any batch job that references version 6.75 of HostBridge, include the newly created library in the STEPLIB or JOBLIB concatenation immediately before the HostBridge 6.75 library.

This patch is only applicable to HostBridge version 6.75.  The next version of HostBridge will contain load modules that will work in all environments.

Please contact HostBridge Support if you have any questions about this fix.